#
# spec file for package OffiX (Version 2.3a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp sgmltool sp sp-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         OffiX
Copyright:    GPL-2
Group:        X11/Applications
Autoreqprov:  on
Version:      2.3a
Release:      135
Provides:     offix
Obsoletes:    offix
Summary:      Some office-like programs with drag and drop features
URL:          http://leb.net/OffiX/
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build
Prefix:       /usr/X11R6

%description
This package contains a clipboard, editor, executor, file manager and a
printer frontend with drag and drop features. The OffiX project is designed to
build basic API to make office development easier.

Authors:
--------
    Csar Crusius <c.crusius@ieee.org>
    Randolf Werner
    Andr Hentz <a.hentz@ieee.org>

SuSE series: xap

%prep
%setup
%patch

%build
aclocal
(automake -a; exit 0)
autoconf
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix}
make
make check

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING* Copyright README.* THANKS Docs/*.dvi
/usr/X11R6/bin/*
/usr/X11R6/include/bitmaps/*
/usr/X11R6/include/pixmaps/*
/usr/X11R6/lib/*
/usr/X11R6/share/OffiX/
%doc /usr/X11R6/man/man?/*

%changelog -n OffiX
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Sun Jan 21 2001 - sf@suse.de
- added '#include <stdlib.h>' to Trash.h to make it build on ia64
* Mon Nov 27 2000 - vinil@suse.cz
- renamed from offix to OffiX
- upgraded to 2.3a
- fixed for automake
* Thu Oct 19 2000 - vinil@suse.cz
- fix to compile
- patches united
* Tue May 09 2000 - vinil@suse.cz
- buildroot added
- got rid of Makefile.Linux
* Mon Sep 20 1999 - uli@suse.de
- fixed for Imake.options for archs other than x86/AXP
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 03 1999 - ro@suse.de
- no m486 on alpha
* Thu Dec 03 1998 - ro@suse.de
- added sp and sp_libs to neededforbuild
* Wed Dec 02 1998 - bs@suse.de
- use sgmtools instead of linuxdoc for build
* Tue Oct 06 1998 - ro@suse.de
- added libgpp to neededforbuild
* Wed Oct 08 1997 - ro@suse.de
- Prepared package for automatic build
